NAME=helmbe
VERSION=latest
BUILD_TIME      := $(shell date "+%F %T")
COMMIT_SHA1     := $(shell git rev-parse HEAD)
AUTHOR          := $(shell git show -s --format='%an')

.PHONY: idctest sxkj

all:

idctest:
	@docker build --target image-idctest -t registry.cn-hangzhou.aliyuncs.com/sxtest/$(NAME):idctest .
	@docker push registry.cn-hangzhou.aliyuncs.com/sxtest/$(NAME):idctest

sxkj:
	@docker build --target image-sxkj -t SXKJ:32775/$(NAME):sxkj .
	@docker push SXKJ:32775/$(NAME):sxkj

txtest:
	@docker build --target image-txtest -t registry.cn-hangzhou.aliyuncs.com/sxtest/$(NAME):txtest .
	@docker push registry.cn-hangzhou.aliyuncs.com/sxtest/$(NAME):txtest

txprod:
	@docker build --target image-txprod -t registry.cn-hangzhou.aliyuncs.com/sxtest/$(NAME):txprod .
	@docker push registry.cn-hangzhou.aliyuncs.com/sxtest/$(NAME):txprod